{**
 * 2007-2016 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2016 PrestaShop SA
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{extends file='checkout/_partials/steps/checkout-step.tpl'}

{block name='step_content'}
  <div id="hook-display-before-carrier">
    {$hookDisplayBeforeCarrier nofilter}
  </div>

  <div class="delivery-options-list">
    {if $delivery_options|count}
      <form
        id="js-delivery"
        data-url-update="{url entity='order' params=['ajax' => 1, 'action' => 'selectDeliveryOption']}"
        method="post"
      >
        <div class="form-fields">
          {block name='delivery_options'}
            <div class="delivery-options">
              {foreach from=$delivery_options item=carrier key=carrier_id}
                  <div class="delivery-option flex_container flex_start">
                    <span class="custom-radio m-r-1">
                      <input type="radio" name="delivery_option[{$id_address}]" id="delivery_option_{$carrier.id}" value="{$carrier_id}"{if $delivery_option == $carrier_id} checked{/if}>
                      <span></span>
                    </span>
                    <label for="delivery_option_{$carrier.id}" class="flex_child delivery-option-2">
                      <div class="row">
                        <div class="col-md-5">
                            {if $carrier.logo}
                            <img src="{$carrier.logo}" alt="{$carrier.name}" />
                            {/if}
                            <span class="carrier-name">{$carrier.name}</span>
                        </div>
                        <div class="col-md-4">
                          <span class="carrier-delay">{$carrier.delay}</span>
                        </div>
                        <div class="col-md-3">
                          <span class="carrier-price">{$carrier.price}</span>
                        </div>
                      </div>
                    </label>
                  </div>
                  <div class="row carrier-extra-content"{if $delivery_option != $carrier_id} style="display:none;"{/if}>
                    {$carrier.extraContent nofilter}
                  </div>
                  <div class="clearfix"></div>
              {/foreach}
            </div>
          {/block}
          <div class="order-options">
            {if version_compare($sttheme.ps_version,'1.7.1.2','>')}
            <div id="delivery" class="mb-2">
              <label for="delivery_message">{l s='If you would like to add a comment about your order, please write it in the field below.' d='Shop.Theme.Checkout'}</label><br/>
              <textarea rows="2" cols="120" id="delivery_message" name="delivery_message">{$delivery_message}</textarea>
            </div>
            {/if}
            {if $recyclablePackAllowed}
              <p class="flex_container flex_left">
              <span class="custom-input-box">
                <input type="checkbox" id="input_recyclable" name="recyclable" class="custom-input" value="1" {if $recyclable} checked {/if}>
                <span for="input_recyclable" class="custom-input-item custom-input-checkbox"><i class="fto-ok-1 checkbox-checked"></i></span>
              </span>
                <label class="mb-0">{l s='I would like to receive my order in recycled packaging.' d='Shop.Theme.Checkout'}</label>
              </p>
            {/if}
            {if $gift.allowed}
            <p class="flex_container flex_left">
              <span class="custom-input-box">
                <input class="js-gift-checkbox custom-input" id="input_gift" name="gift" type="checkbox" value="1" {if $gift.isGift}checked="checked"{/if}>
                <span for="input_gift" class="custom-input-item custom-input-checkbox"><i class="fto-ok-1 checkbox-checked"></i></span>
              </span>
                <label class="mb-0">{$gift.label}</label >
            </p>

              <div id="gift" class="collapse{if $gift.isGift} in{/if} mb-2">
                <label for="gift_message">{l s='If you\'d like, you can add a note to the gift:' d='Shop.Theme.Checkout'}</label>
                <textarea rows="2" cols="120" id="gift_message" name="gift_message">{$gift.message}</textarea>
              </div>

            {/if}
          </div>
        </div>
        <button type="submit" class="continue btn btn-default" name="confirmDeliveryOption" value="1">
          {l s='Continue' d='Shop.Theme.Actions'}
        </button>
      </form>
    {else}
      <p class="alert alert-danger">{l s='Unfortunately, there are no carriers available for your delivery address.' d='Shop.Theme.Checkout'}</p>
    {/if}
  </div>

  <div id="hook-display-after-carrier">
    {$hookDisplayAfterCarrier nofilter}
  </div>

  <div id="extra_carrier"></div>
{/block}
